/* Reusable components */
.link,
.buttonLink {
  display: inline-block;
  position: relative;
  font-size: 1rem;
  line-height: 1.1875;
  margin: 0.75rem 0 0;
  padding-right: 1.25rem;
  color: #cd1d8b;
  text-decoration: underline;
}

.buttonLink {
  border: 1px solid #cd1d8b;
  border-radius: 30px;
  font-weight: 500;
  font-family: "Source Sans Pro SB", var(--ifm-heading-font-family);
  padding: 0.75rem 2.25rem 0.75rem 1rem;
  text-decoration: none;
  margin-bottom: 1.25rem;
}

.link:hover,
.buttonLink:hover {
  text-decoration: underline;
  color: #cd1d8b;
}

.link::after,
.buttonLink::after {
  position: absolute;
  top: 55%;
  transform: translateY(-50%);
  right: 0;
  content: "";
  width: 0.75rem;
  height: 0.5rem;
  background: url("/static/img/ico-arrow-right.svg") left no-repeat;
  background-size: 0.75rem 0.5rem;
}

.buttonLink::after {
  right: 0.75rem;
}

/* Hero */

.hero {
  background: #fafafb;
  padding: 4rem 0;
  position: relative;
  z-index: 2;
}

@media (width >= 997px) {
  .hero {
    background: #fafafb;
    padding: 4.25rem 0;
  }
}

.heroTitle {
  font-size: 3rem;
  font-weight: 500;
  color: var(--ifm-color-primary);
  line-height: 1.17;
  position: relative;
  z-index: 1;
  margin-bottom: 2rem;
}

/* .heroTitle::after {
  margin-top: 1.25rem;
  content: "";
  display: block;
  height: 4px;
  width: 64px;
  background-color: #00b3ef;
} */

.heroTitle strong {
  display: inline-block;
}

.heroSubtitle {
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5rem;
  color: var(--ifm-color-primary);
  margin: 1.25rem 0 0;
  max-width: 460px;
  position: relative;
  z-index: 1;
}

.heroImageWrapper {
  position: relative;
  min-height: 500px;
}

.heroImage {
  max-width: 100%;
  user-select: none;
  pointer-events: none;
  display: block;
  z-index: 1;

  /* Center */
  margin-left: auto;
  margin-right: auto;
}

@media (width >= 997px) {
  .heroImage {
    position: absolute;
    top: 0;
    right: 0;
    margin-top: 0;
    z-index: 1;
  }
}

/* Search */

.searchWrapper {
  margin-top: 2.5rem;
  position: relative;
  z-index: 1;
}

@media (width >= 997px) {
  .searchWrapper {
    margin-top: 5rem;
  }
}

.searchTitle {
  margin-bottom: 1.25rem;
  font-size: 1.5rem;
  line-height: 1.75rem;
  font-weight: 500;
}

.search :global(.navbar__search) {
  display: block;
  margin-left: 0;
}

.search :global(.navbar__search-input) {
  width: 425px !important; /* for currently unknown reason prod/build version overrides this with width: 2rem; */
  max-width: 100%;
  background:
    var(--ifm-navbar-search-input-icon) no-repeat right / 5em 1rem,
    linear-gradient(to right, #fff calc(100% - 4.25rem), #cd1d8b 0%);
  box-shadow: 0 4px 20px 0 #0037641a;
}

.search :global(.navbar__search > span) {
  display: block !important;
}

.search :global(span[role="listbox"]) {
  left: 0 !important;
}

/* WCT */

@media (width <= 997px) {
  .wct {
    background-color: #e6f7fd;
  }
}

@media (width >= 997px) {
  .wct {
    text-align: center;
  }
}

.wctTitle {
  margin: 0;
  font-size: 2rem;
  font-weight: 400;
}

.wctTitle::after {
  margin-top: 1.25rem;
  content: "";
  display: block;
  height: 4px;
  width: 64px;
  background-color: #00b3ef;
}

@media (width >= 997px) {
  .wctTitle::after {
    position: relative;
    left: 50%;
    transform: translateX(-50%);
  }
}

.wctDescription {
  margin: 1.25rem 0 0;
  font-size: 1rem;
  line-height: 1.5;
}

.wctLineBreak {
  display: none;
}

@media (width >= 997px) {
  .wctLineBreak {
    display: inline;
  }
}

.wctButtonLink {
  margin: 1.25rem 0 0;
}

.wctContentContainer {
  padding: 5rem 0;
  position: relative;
  z-index: 2;
}

.wctBackgroundImage {
  position: absolute;
  width: 100%;
  min-height: 22rem;
  background-image: url("/static/img/wct-blue-background.svg");
  background-repeat: no-repeat;
  background-position: 50% 0%;
  background-size: cover;
}

/* Developer resources */

.developerResources {
  position: relative;
  z-index: 2;
  margin-bottom: 7.5rem;
}

.title {
  font-weight: 400;
  font-size: 2rem;
  line-height: 1.125;
  margin: 0;
}

.sections {
  margin-top: 1.25rem;
}

.sections :global(.col + .col) {
  margin-top: 4rem;
}

@media (width >= 997px) {
  .sections :global(.col + .col) {
    margin-top: 0;
  }
}

@media (width >= 997px) {
  .sections {
    margin-top: 2.75rem;
  }
}

.sectionTitle {
  font-size: 1.5rem;
  font-weight: 500;
  line-height: 1.75rem;
  color: #1d0d34;
  margin: 0;
}

.sectionTitleIcon {
  width: 1.5rem;
  height: 1.5rem;
  vertical-align: baseline;
  margin-right: 0.5rem;
  position: relative;
  top: 4px;
}

.sectionSubtitle {
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5;
  color: #1d0d34;
  margin: 1rem 0 0;
}

.developerResources ul {
  list-style: none;
  padding: 0;
  margin: 1rem 0 0;
}

/* Other resources */

.otherResources {
  width: 100%;
  position: relative;
  z-index: 1;
}

@media (width <= 997px) {
  .otherResources {
    padding-top: 6rem;
  }
}

@media (width <= 576px) {
  .otherResources {
    padding-top: 3rem;
  }
}

.otherResourcesTitle {
  font-size: 2.5rem;
  font-weight: 400;
  line-height: 3rem;
  margin: 0;
}

.otherResources p {
  margin: 1.25rem 0;
}

/* Decorations */

.ebsiDecorationContainer {
  position: relative;
  overflow-x: clip;
}

.ebsiDecorationBottom {
  background-image: url("/static/img/homepage-img-3.svg");
  background-repeat: no-repeat;
  position: absolute;
  top: -10rem;
  width: 80rem;
  height: 36rem;
  background-size: cover;
  transform: translateX(-25%);
  z-index: -1;
}

@media (width <= 996px) {
  .ebsiDecorationBottom {
    height: 100%;
    top: 0;
    transform: translateX(-40%);
    width: 400%;
  }

  .ebsiDecorationContainer {
    margin-top: 3.5rem;
  }
}

.ebsiDecorationTop {
  background-image: url("/static/img/homepage-img-2.svg");
  background-repeat: no-repeat;
  position: absolute;
  top: -27rem;
  width: 80rem;
  height: 70rem;
  background-size: contain;
  transform: translateX(43%);
  pointer-events: none;
}

@media (width <= 996px) {
  .ebsiDecorationTop {
    height: 130%;
    top: -18%;
    transform: translateX(-27%);
    width: 130rem;
  }
}

/* Tiles */
.tile {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 100%;
  background: #fff;
  border-radius: 12px;
  padding: 40px;
  background-color: #00284a;
}

.tileTitle {
  color: #fff;
  font-weight: 500;
  font-size: 1.5rem;
  line-height: 1.167;
  margin: 0 0 0.75rem;
}

.tileContent {
  color: #fff;
  opacity: 0.7;
  flex-grow: 1;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5rem;
}

.tileIcon {
  margin-bottom: 1rem;
}

.tileLink {
  align-self: flex-end;
  display: inline-block;
  position: relative;
  font-size: 1rem;
  line-height: 1.25;
  border-radius: 6px;
  font-weight: 500;
  margin: 1.5rem 0 0;
  padding: 0.75rem 2.75rem 0.75rem 1rem;
  text-decoration: none;
}

.tileLink::after {
  position: absolute;
  top: 55%;
  transform: translateY(-50%);
  right: 1rem;
  content: "";
  width: 1rem;
  height: 0.5rem;
}

.tileLinkCta {
  background-color: #405e77;
  color: #fff;
}

.tileLinkCta::after {
  background: url("/img/ico-arrow-right-white.svg") left no-repeat;
}

.tileLinkCta:hover {
  text-decoration: underline;
  color: #fff;
}

.tileLinkWip {
  /* stylelint-disable-next-line color-hex-length */
  background-color: #ffeecc;
  border-radius: 40px;
  font-weight: 500;
  color: #995e00;
  padding: 0.75rem 1rem;
}

.tileContainer {
  position: relative;
  background-color: #e6f7fd;
  padding-bottom: 7.5rem;
  z-index: 2;
}
